syncope-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Francesco Chicchiriccò <ilgro...@apache.org>
Subject [DISCUSS] How to replace ianal-maven-plugin?
Date Fri, 04 Oct 2019 07:01:16 GMT
Hi there,
when doing concurrent builds with Maven, the following warning is reported multiple times:

09:18:22 [WARNING] *****************************************************************
09:18:22 [WARNING] * Your build is requesting parallel execution, but project      *
09:18:22 [WARNING] * contains the following plugin(s) that have goals not marked   *
09:18:22 [WARNING] * as @threadSafe to support parallel building.                 
*
09:18:22 [WARNING] * While this /may/ work fine, please look for plugin updates    *
09:18:22 [WARNING] * and/or request plugins be made thread-safe.                  
*
09:18:22 [WARNING] * If reporting an issue, report it against the plugin in       
*
09:18:22 [WARNING] * question, not against maven-core                             
*
09:18:22 [WARNING] *****************************************************************
09:18:22 [WARNING] The following plugins are not marked @threadSafe in Apache Syncope:
09:18:22 [WARNING] org.apache.rat:apache-rat-plugin:0.12
09:18:22 [WARNING] org.codehaus.mojo:ianal-maven-plugin:1.0-alpha-1
09:18:22 [WARNING] Enable debug to see more precisely which goals are not marked @threadSafe.
09:18:22 [WARNING] *****************************************************************

After upgrading Apache RAT to 0.13 (just pushed to 2_0_X, 2_1_X and master branches), the
warning above is related to ianal-maven-plugin only.

The problem is that such plugin seems to be unmaintained since a long while, though several
open source projects - including many here at ASF - are using it; hence, upgrading is simply
not possible.

We can only think to replace its features with something else; the job that ianal-maven-plugin
does is to ensure that each artifact we generate contains both LICENSE and NOTICE files, in
the appropriate places; otherwise, fail the build.

Any idea about how to obtain the same feature with other plugin(s)?
Regards.

-- 
Francesco Chicchiriccò

Tirasa - Open Source Excellence
http://www.tirasa.net/

Member at The Apache Software Foundation
Syncope, Cocoon, Olingo, CXF, OpenJPA, PonyMail
http://home.apache.org/~ilgrosso/


Mime
View raw message